Bug 1479883 - [RuntimeError]: Unable to find MiqReport with name Nodes by Number of CPU Cores
[RuntimeError]: Unable to find MiqReport with name Nodes by Number of CPU Cores
Status: CLOSED WORKSFORME
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance (Show other bugs)
5.8.0
Unspecified Unspecified
high Severity high
: GA
: cfme-future
Assigned To: Libor Pichler
Dave Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-09 11:59 EDT by ncatling
Modified: 2017-12-05 10:47 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-24 08:25:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
evm log (487.19 KB, application/x-gzip)
2017-08-09 11:59 EDT, ncatling
no flags Details

  None (edit)
Description ncatling 2017-08-09 11:59:56 EDT
Created attachment 1311300 [details]
evm log

Description of problem:
EVM start fails with following error after yum update of VMware CFME 5.8.0 to 5.8.1.

[RuntimeError]: Unable to find MiqReport with name Nodes by Number of CPU Cores

Version-Release number of selected component (if applicable):
5.8.1

How reproducible:


Steps to Reproduce:
1. yum update 5.8.0 appliance to 5.8.1
2.
3.

Actual results:

[----] I, [2017-08-09T16:52:01.142472 #62853:c0b138]  INFO -- : MIQ(EvmDatabase.seed) Seeding MiqWidget
[----] E, [2017-08-09T16:52:01.241117 #62853:c0b138] ERROR -- : [RuntimeError]: Unable to find MiqReport with name Nodes by Number of CPU Cores  Method:[rescue in block (2 levels) in seed]
[----] E, [2017-08-09T16:52:01.241360 #62853:c0b138] ERROR -- : /var/www/miq/vmdb/app/models/miq_widget.rb:469:in `sync_from_hash'
/var/www/miq/vmdb/app/models/miq_widget.rb:459:in `sync_from_file'
/var/www/miq/vmdb/app/models/miq_widget.rb:454:in `block in sync_from_dir'
/var/www/miq/vmdb/app/models/miq_widget.rb:454:in `each'
/var/www/miq/vmdb/app/models/miq_widget.rb:454:in `sync_from_dir'
/var/www/miq/vmdb/app/models/miq_widget.rb:543:in `seed'
/var/www/miq/vmdb/lib/evm_database.rb:83:in `block (2 levels) in seed'
/var/www/miq/vmdb/lib/evm_database.rb:72:in `each'
/var/www/miq/vmdb/lib/evm_database.rb:72:in `block in seed'
/var/www/miq/vmdb/lib/extensions/ar_table_lock.rb:21:in `block (2 levels) in with_lock'
/opt/rh/rh-ruby23/root/usr/share/ruby/timeout.rb:91:in `block in timeout'
/opt/rh/rh-ruby23/root/usr/share/ruby/timeout.rb:33:in `block in catch'
/opt/rh/rh-ruby23/root/usr/share/ruby/timeout.rb:33:in `catch'
/opt/rh/rh-ruby23/root/usr/share/ruby/timeout.rb:33:in `catch'
/opt/rh/rh-ruby23/root/usr/share/ruby/timeout.rb:106:in `timeout'
/var/www/miq/vmdb/lib/extensions/ar_table_lock.rb:21:in `block in with_lock'
/opt/rh/cfme-gemset/gems/activerecord-5.0.3/lib/active_record/connection_adapters/abstract/database_statements.rb:232:in `block in transaction'
/opt/rh/cfme-gemset/gems/activerecord-5.0.3/lib/active_record/connection_adapters/abstract/transaction.rb:189:in `within_new_transaction'
/opt/rh/cfme-gemset/gems/activerecord-5.0.3/lib/active_record/connection_adapters/abstract/database_statements.rb:232:in `transaction'
/opt/rh/cfme-gemset/gems/activerecord-5.0.3/lib/active_record/transactions.rb:211:in `transaction'
/var/www/miq/vmdb/lib/extensions/ar_table_lock.rb:15:in `with_lock'
/var/www/miq/vmdb/lib/evm_database.rb:71:in `seed'
/var/www/miq/vmdb/lib/evm_database.rb:58:in `seed_last'
/var/www/miq/vmdb/app/models/miq_server.rb:248:in `start'
/var/www/miq/vmdb/lib/workers/evm_server.rb:65:in `start'
/var/www/miq/vmdb/lib/workers/evm_server.rb:91:in `start'
/var/www/miq/vmdb/lib/workers/bin/evm_server.rb:4:in `<main>'
/var/www/miq/vmdb/app/models/miq_widget.rb:469:in `sync_from_hash': Unable to find MiqReport with name Nodes by Number of CPU Cores (RuntimeError)
	from /var/www/miq/vmdb/app/models/miq_widget.rb:459:in `sync_from_file'
	from /var/www/miq/vmdb/app/models/miq_widget.rb:454:in `block in sync_from_dir'
	from /var/www/miq/vmdb/app/models/miq_widget.rb:454:in `each'
	from /var/www/miq/vmdb/app/models/miq_widget.rb:454:in `sync_from_dir'
	from /var/www/miq/vmdb/app/models/miq_widget.rb:543:in `seed'
	from /var/www/miq/vmdb/lib/evm_database.rb:83:in `block (2 levels) in seed'
	from /var/www/miq/vmdb/lib/evm_database.rb:72:in `each'
	from /var/www/miq/vmdb/lib/evm_database.rb:72:in `block in seed'
	from /var/www/miq/vmdb/lib/extensions/ar_table_lock.rb:21:in `block (2 levels) in with_lock'
	from /opt/rh/rh-ruby23/root/usr/share/ruby/timeout.rb:91:in `block in timeout'
	from /opt/rh/rh-ruby23/root/usr/share/ruby/timeout.rb:33:in `block in catch'
	from /opt/rh/rh-ruby23/root/usr/share/ruby/timeout.rb:33:in `catch'
	from /opt/rh/rh-ruby23/root/usr/share/ruby/timeout.rb:33:in `catch'
	from /opt/rh/rh-ruby23/root/usr/share/ruby/timeout.rb:106:in `timeout'
	from /var/www/miq/vmdb/lib/extensions/ar_table_lock.rb:21:in `block in with_lock'
	from /opt/rh/cfme-gemset/gems/activerecord-5.0.3/lib/active_record/connection_adapters/abstract/database_statements.rb:232:in `block in transaction'
	from /opt/rh/cfme-gemset/gems/activerecord-5.0.3/lib/active_record/connection_adapters/abstract/transaction.rb:189:in `within_new_transaction'
	from /opt/rh/cfme-gemset/gems/activerecord-5.0.3/lib/active_record/connection_adapters/abstract/database_statements.rb:232:in `transaction'
	from /opt/rh/cfme-gemset/gems/activerecord-5.0.3/lib/active_record/transactions.rb:211:in `transaction'
	from /var/www/miq/vmdb/lib/extensions/ar_table_lock.rb:15:in `with_lock'
	from /var/www/miq/vmdb/lib/evm_database.rb:71:in `seed'
	from /var/www/miq/vmdb/lib/evm_database.rb:58:in `seed_last'
	from /var/www/miq/vmdb/app/models/miq_server.rb:248:in `start'
	from /var/www/miq/vmdb/lib/workers/evm_server.rb:65:in `start'
	from /var/www/miq/vmdb/lib/workers/evm_server.rb:91:in `start'
	from /var/www/miq/vmdb/lib/workers/bin/evm_server.rb:4:in `<main>'

Expected results:


Additional info:

rake db:seed fails too...

[root@localhost vmdb]# rake db:seed
rake aborted!
Unable to find MiqReport with name Nodes by Number of CPU Cores
/var/www/miq/vmdb/app/models/miq_widget.rb:469:in `sync_from_hash'
/var/www/miq/vmdb/app/models/miq_widget.rb:459:in `sync_from_file'
/var/www/miq/vmdb/app/models/miq_widget.rb:454:in `block in sync_from_dir'
/var/www/miq/vmdb/app/models/miq_widget.rb:454:in `each'
/var/www/miq/vmdb/app/models/miq_widget.rb:454:in `sync_from_dir'
/var/www/miq/vmdb/app/models/miq_widget.rb:543:in `seed'
/var/www/miq/vmdb/lib/evm_database.rb:83:in `block (2 levels) in seed'
/var/www/miq/vmdb/lib/evm_database.rb:72:in `each'
/var/www/miq/vmdb/lib/evm_database.rb:72:in `block in seed'
/var/www/miq/vmdb/lib/extensions/ar_table_lock.rb:21:in `block (2 levels) in with_lock'
/var/www/miq/vmdb/lib/extensions/ar_table_lock.rb:21:in `block in with_lock'
/opt/rh/cfme-gemset/gems/activerecord-5.0.3/lib/active_record/connection_adapters/abstract/database_statements.rb:232:in `block in transaction'
/opt/rh/cfme-gemset/gems/activerecord-5.0.3/lib/active_record/connection_adapters/abstract/transaction.rb:189:in `within_new_transaction'
/opt/rh/cfme-gemset/gems/activerecord-5.0.3/lib/active_record/connection_adapters/abstract/database_statements.rb:232:in `transaction'
/opt/rh/cfme-gemset/gems/activerecord-5.0.3/lib/active_record/transactions.rb:211:in `transaction'
/var/www/miq/vmdb/lib/extensions/ar_table_lock.rb:15:in `with_lock'
/var/www/miq/vmdb/lib/evm_database.rb:71:in `seed'
/var/www/miq/vmdb/db/seeds.rb:8:in `<top (required)>'
/opt/rh/cfme-gemset/gems/activesupport-5.0.3/lib/active_support/dependencies.rb:287:in `load'
/opt/rh/cfme-gemset/gems/activesupport-5.0.3/lib/active_support/dependencies.rb:287:in `block in load'
/opt/rh/cfme-gemset/gems/activesupport-5.0.3/lib/active_support/dependencies.rb:259:in `load_dependency'
/opt/rh/cfme-gemset/gems/activesupport-5.0.3/lib/active_support/dependencies.rb:287:in `load'
/opt/rh/cfme-gemset/gems/railties-5.0.3/lib/rails/engine.rb:549:in `load_seed'
/opt/rh/cfme-gemset/gems/activerecord-5.0.3/lib/active_record/tasks/database_tasks.rb:270:in `load_seed'
/opt/rh/cfme-gemset/gems/activerecord-5.0.3/lib/active_record/railties/databases.rake:184:in `block (2 levels) in <top (required)>'
/opt/rh/cfme-gemset/gems/rake-12.0.0/exe/rake:27:in `<top (required)>'
Tasks: TOP => db:seed
(See full trace by running task with --trace)
Comment 2 Gregg Tanzillo 2017-08-09 14:56:29 EDT
Nick, would it be possible to get a dump of the database? Thanks.

Note You need to log in before you can comment on or make changes to this bug.